Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005287 [DCSS] Bug Report tweak always 2012-02-05 22:05 2014-10-04 00:56
Reporter oiseaux View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.10 ancient branch
Summary 0005287: Dam+x bonus description unclear
Description Rings with a Dam+ read: "It affects your damage-dealing abilities (+x)". Could this be reworded to specify that this only applies to melee, and not spellcasting? This has been a source of confusion for myself, it could read:

"It affects your damage-dealing abilities with melee weapons (+x)" or similar, perhaps.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0016889)
oiseaux (reporter)
2012-02-05 22:06

Addendum: This also affects missle weapons? Perhaps that should be incorporated into the description.
(0016890)
minmay (reporter)
2012-02-05 22:08

I suggest "With melee combat and missiles, but not magical spells". Remember that it applies to unarmed combat too, so it probably shouldn't say "weapons".
(0016891)
evilmike (developer)
2012-02-06 03:24

I would use "It increases your melee and missile damage by up to +x. It does not affect spells."

I think if this text is changed, the "up to" part is worth adding. It won't complicate the description, and it will help point out that the "+5" on that weapon is subject to randomness (unlike most RPGs).
(0016901)
XuaXua (reporter)
2012-02-06 18:21

What about ranged attacks with spells that might miss? Does the accuracy of the ring affect the accuracy of the spell?
(0027425)
PleasingFungus (administrator)
2014-10-04 00:56

I changed this a while ago.

- Issue History
Date Modified Username Field Change
2012-02-05 22:05 oiseaux New Issue
2012-02-05 22:06 oiseaux Note Added: 0016889
2012-02-05 22:08 minmay Note Added: 0016890
2012-02-06 03:24 evilmike Note Added: 0016891
2012-02-06 18:21 XuaXua Note Added: 0016901
2014-10-04 00:56 PleasingFungus Note Added: 0027425
2014-10-04 00:56 PleasingFungus Status new => resolved
2014-10-04 00:56 PleasingFungus Fixed in Branch => 0.16 development branch
2014-10-04 00:56 PleasingFungus Resolution open => done
2014-10-04 00:56 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker